package com.javaseleniumtemplate.tests.naocontrolaalmoxarifado;
import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.naocontrolaalmoxarifado.PosicaoDeEstoqueNaoControlaAlmoxarifadoFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.naocontrolaalmoxarifado.PosicaoDeEstoqueNaoControlaAlmoxarifadoPage;
import org.testng.annotations.Test;


public class PosicaoDeEstoqueNaoControlaAlmoxarifadoTests extends TestBase {

    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    PosicaoDeEstoqueNaoControlaAlmoxarifadoFlows posicaoDeEstoqueNaoControlaAlmoxarifadoFlows;
    PosicaoDeEstoqueNaoControlaAlmoxarifadoPage posicaoDeEstoqueNaoControlaAlmoxarifadoPage;


    @Test (description = "Est-57")
    public void GerarPosicaoDeEstoqueGrid(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        posicaoDeEstoqueNaoControlaAlmoxarifadoFlows = new PosicaoDeEstoqueNaoControlaAlmoxarifadoFlows();
        posicaoDeEstoqueNaoControlaAlmoxarifadoPage = new PosicaoDeEstoqueNaoControlaAlmoxarifadoPage();


        //Parameteres_Lançamento:
        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String descAlmoxarifado = "HELA MATRIZ";
        String descUnidade = "HELA Nao Controla Almoxarifado";
        String descTipoDeCusto = "Custo Médio Líquido Atual";



        //Rotinas:
        loginFlows.efetuarLogin();
       mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
        mainFlows.AcessandoPosicaoDeEstoque();
        posicaoDeEstoqueNaoControlaAlmoxarifadoFlows.GerarPosicaoDeEstoque(descUnidade,descAlmoxarifado,descTipoDeCusto,descProduto);


    }

}
