package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.MovimentacaoDeEstoquePage;

public class MovimentacaoDeEstoqueFlows {

    MovimentacaoDeEstoquePage movimentacaoDeEstoquePage;

    public MovimentacaoDeEstoqueFlows(){
        movimentacaoDeEstoquePage = new MovimentacaoDeEstoquePage();
    }

    public void GerarMovimentacaoDeEstoque(String descUnidade,String descAlmoxarifado,String descLote,String descProduto){
        movimentacaoDeEstoquePage.indexRelatorio();
        movimentacaoDeEstoquePage.estoqueAnalitico();
        movimentacaoDeEstoquePage.limpar();
        movimentacaoDeEstoquePage.campoUnidade();
        movimentacaoDeEstoquePage.buttonPesquisarUnidade();
        movimentacaoDeEstoquePage.buscarUnidade(descUnidade);
        movimentacaoDeEstoquePage.selecionarMovimentacaoDeEstoque();
        movimentacaoDeEstoquePage.campoAlmoxarifado();
        movimentacaoDeEstoquePage.buscarAlmoxarifado(descAlmoxarifado);
        movimentacaoDeEstoquePage.selecionarAlmoxarifado();
        movimentacaoDeEstoquePage.campoLote();
        movimentacaoDeEstoquePage.buscaLote(descLote);
        movimentacaoDeEstoquePage.selecionarLote();
        movimentacaoDeEstoquePage.limparData();
        movimentacaoDeEstoquePage.selecionarCalendario();
        movimentacaoDeEstoquePage.dataEscolhida();
        movimentacaoDeEstoquePage.limparFiltro();
        movimentacaoDeEstoquePage.campoProdutoInicial();
        movimentacaoDeEstoquePage.buscarProdutoInicial(descProduto);
        movimentacaoDeEstoquePage.selecionarProdutoInicial();
        movimentacaoDeEstoquePage.campoProdutoFinal();
       movimentacaoDeEstoquePage.buscarProdutoFinal(descProduto);
        movimentacaoDeEstoquePage.selecionarProdutoFinal();
        movimentacaoDeEstoquePage.indexNivelDeTotalizacao();
       movimentacaoDeEstoquePage.nivelDeTotalizacao();
        movimentacaoDeEstoquePage.buttonGerarPDF();
    }
}
